<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>fwAccessControl: fwAccessControl_Egroups.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">fwAccessControl
   &#160;<span id="projectnumber">8.4.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('fwAccessControl__Egroups_8ctl.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">fwAccessControl_Egroups.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaf2d30438190d4e74ea821782ea200615"><td class="memItemLeft" align="right" valign="top">dyn_mapping&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__EgroupsFunctions.html#gaf2d30438190d4e74ea821782ea200615">fwAccessControl_queryLdapCern</a> (string baseDN, string filter, dyn_string &amp;exceptionInfo, dyn_string attrs=&quot;&quot;, bool exceptionOnTooMuchResults=true)</td></tr>
<tr class="separator:gaf2d30438190d4e74ea821782ea200615"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf82f6ac67440faaab8aa0c706a7f39b6"><td class="memItemLeft" align="right" valign="top">dyn_mapping&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__EgroupsFunctions.html#gaf82f6ac67440faaab8aa0c706a7f39b6">fwAccessControl_queryLdapCernRecursive</a> (string egroup, dyn_string attrNames, dyn_string &amp;exceptionInfo, bool exceptionOnTooMuchResults=true)</td></tr>
<tr class="separator:gaf82f6ac67440faaab8aa0c706a7f39b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8dd41dc7f97a38bb5f5a95a920e5a205"><td class="memItemLeft" align="right" valign="top">private dyn_mapping&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__EgroupsFunctions.html#ga8dd41dc7f97a38bb5f5a95a920e5a205">_fwAccessControl_recursiveLdapQuery</a> (string egroup, dyn_string attrNames, dyn_string &amp;searchedEgroups, dyn_string &amp;exceptionInfo, mapping connInfo, bool exceptionOnTooMuchResults=true)</td></tr>
<tr class="separator:ga8dd41dc7f97a38bb5f5a95a920e5a205"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga535f88916223752a5d6789c1779bd561"><td class="memItemLeft" align="right" valign="top">dyn_mapping&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__EgroupsFunctions.html#ga535f88916223752a5d6789c1779bd561">fwAccessControl_queryLdapFor</a> (string queryTarget, string egroup, dyn_string ldapAttrNames, dyn_string &amp;exceptionInfo, mapping connInfo, bool exceptionOnTooMuchResults=true)</td></tr>
<tr class="separator:ga535f88916223752a5d6789c1779bd561"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7e7b2a27401e011d0b506c0da6a6e1c3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__EgroupsFunctions.html#ga7e7b2a27401e011d0b506c0da6a6e1c3">fwAccessControl_setEgroupSyncForGroup</a> (string groupName, string egroupName, dyn_string &amp;exceptionInfo) synchronized(_fwAccessControl_mutex)</td></tr>
<tr class="separator:ga7e7b2a27401e011d0b506c0da6a6e1c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae22b3729bae9c89104b4e3c6f440b4e3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__EgroupsFunctions.html#gae22b3729bae9c89104b4e3c6f440b4e3">fwAccessControl_getEgroupSyncForGroup</a> (string groupName, string &amp;egroupName, dyn_string &amp;exceptionInfo) synchronized(_fwAccessControl_mutex)</td></tr>
<tr class="separator:gae22b3729bae9c89104b4e3c6f440b4e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga34254ee72492266aef984041167fe9e2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__EgroupsFunctions.html#ga34254ee72492266aef984041167fe9e2">fwAccessControl_getEgroupDetails</a> (string egroupName, string &amp;egroupDescription, dyn_string &amp;includedGroupNames, dyn_string &amp;includedUserNames, mapping &amp;otherInfo, dyn_string &amp;exceptionInfo, bool recursive=false)</td></tr>
<tr class="separator:ga34254ee72492266aef984041167fe9e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2ea4e6ec4365515dca532ae82b98ae93"><td class="memItemLeft" align="right" valign="top">dyn_mapping&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__EgroupsFunctions.html#ga2ea4e6ec4365515dca532ae82b98ae93">fwAccessControl_getEgroupSubgroups</a> (string egroupName, dyn_string &amp;exceptionInfo, string attrNames=&quot;&quot;, string childType=&quot;&quot;, dyn_string otherFilters=makeDynString())</td></tr>
<tr class="separator:ga2ea4e6ec4365515dca532ae82b98ae93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1677a2be07a39cadb1e50dc3d6664b2f"><td class="memItemLeft" align="right" valign="top">dyn_string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__EgroupsFunctions.html#ga1677a2be07a39cadb1e50dc3d6664b2f">fwAccessControl_getEgroupList</a> (dyn_string &amp;exceptionInfo, string nameFilter=&quot;&quot;, dyn_string otherFilters=makeDynString())</td></tr>
<tr class="separator:ga1677a2be07a39cadb1e50dc3d6664b2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4e4e1ef5f87882d9e4248a361d0918e5"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__EgroupsFunctions.html#ga4e4e1ef5f87882d9e4248a361d0918e5">fwAccessControl_egroupToDomainName</a> (string egroupName)</td></tr>
<tr class="separator:ga4e4e1ef5f87882d9e4248a361d0918e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9eb6484fb76f72ad16012108d2fadcb5"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__EgroupsFunctions.html#ga9eb6484fb76f72ad16012108d2fadcb5">fwAccessControl_egroupToRoleName</a> (string egroupName)</td></tr>
<tr class="separator:ga9eb6484fb76f72ad16012108d2fadcb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga009071bee02546876f978f360da97345"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__EgroupsFunctions.html#ga009071bee02546876f978f360da97345">fwAccessControl_domainNameToEgroup</a> (string domainName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga009071bee02546876f978f360da97345"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0236ba55382c429145161deaa8a5c2c7"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__EgroupsFunctions.html#ga0236ba55382c429145161deaa8a5c2c7">fwAccessControl_roleNameToEgroup</a> (string roleName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga0236ba55382c429145161deaa8a5c2c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7c4002afa90638a747d6f3195b1e6e6f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__EgroupsFunctions.html#ga7c4002afa90638a747d6f3195b1e6e6f">fwAccessControl_egroupToAccessRight</a> (string egroupName, string &amp;accessRight, int &amp;privNumber, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga7c4002afa90638a747d6f3195b1e6e6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2933f69e306218f6a46bf4dc9355682e"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__EgroupsFunctions.html#ga2933f69e306218f6a46bf4dc9355682e">fwAccessControl_accessRightToEgroup</a> (string accessRight, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga2933f69e306218f6a46bf4dc9355682e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa544dde6462054ab45c36e4e9ea8068f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__EgroupsFunctions.html#gaa544dde6462054ab45c36e4e9ea8068f">fwAccessControl_egroupGetDomainPrivileges</a> (string domainEgroup, dyn_string &amp;privilegeNames, dyn_string &amp;privilegeEgroups, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gaa544dde6462054ab45c36e4e9ea8068f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3cdbfbc9ef854e7e9a59e26328193c1a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__EgroupsFunctions.html#ga3cdbfbc9ef854e7e9a59e26328193c1a">fwAccessControl_getConfigurationFromEgroup</a> (string configurationEgroup, dyn_string &amp;domainEgroups, dyn_string &amp;domainNames, dyn_string &amp;roleEgroups, dyn_string &amp;roleNames, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga3cdbfbc9ef854e7e9a59e26328193c1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4d13c0fff2fa697612401c128b1bb4a3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__EgroupsFunctions.html#ga4d13c0fff2fa697612401c128b1bb4a3">fwAccessControl_getDomainFromEgroup</a> (string domainEgroup, string &amp;domainName, string &amp;domainComment, dyn_string &amp;privilegeEgroups, dyn_string &amp;privilegeNames, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga4d13c0fff2fa697612401c128b1bb4a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae0fafebb5e239d07d2d16903abeb6d4e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__EgroupsFunctions.html#gae0fafebb5e239d07d2d16903abeb6d4e">fwAccessControl_getRoleFromEgroup</a> (string roleEgroup, string &amp;roleName, string &amp;roleComment, dyn_string &amp;accessRights, dyn_string &amp;privilegeEgroups, dyn_string &amp;memberEgroups, dyn_string &amp;childRoleEgroups, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gae0fafebb5e239d07d2d16903abeb6d4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56e199dfc68db04e00e69e2e0a8c0941"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAccessControl__Egroups_8ctl.html#a56e199dfc68db04e00e69e2e0a8c0941">_fwAccessControl_combineResults</a> (dyn_mapping &amp;orig, dyn_mapping other)</td></tr>
<tr class="separator:a56e199dfc68db04e00e69e2e0a8c0941"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf9820b14f9ebec7cfc5aeba6128acf1"><td class="memItemLeft" align="right" valign="top">private int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAccessControl__Egroups_8ctl.html#acf9820b14f9ebec7cfc5aeba6128acf1">_fwAccessControl_dynMappingContains</a> (dyn_mapping dynMap, string key, string value)</td></tr>
<tr class="separator:acf9820b14f9ebec7cfc5aeba6128acf1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:gab755700ad44805e66c028d8cad03f863"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__EgroupsFunctions.html#gab755700ad44805e66c028d8cad03f863">fwAccessControl_egroupsBaseDN</a> =&quot;OU=e-groups,OU=Workgroups,DC=cern,DC=ch&quot;</td></tr>
<tr class="separator:gab755700ad44805e66c028d8cad03f863"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf4472674aeaebf8d8690b5c38bf29c55"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__EgroupsFunctions.html#gaf4472674aeaebf8d8690b5c38bf29c55">fwAccessControl_Egroup_FullNamePrefix</a> = &quot;EGROUP:&quot;</td></tr>
<tr class="separator:gaf4472674aeaebf8d8690b5c38bf29c55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab2592e8fcde6e40b6822971e653d551f"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__EgroupsFunctions.html#gab2592e8fcde6e40b6822971e653d551f">fwAccessControl_Egroup_topicConfiguration</a> = &quot;fwAccessControl configuration&quot;</td></tr>
<tr class="separator:gab2592e8fcde6e40b6822971e653d551f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>JCOP Framework Access Control library for Egroups-related functions</p>
<dl class="section author"><dt>Author</dt><dd>Piotr Golonka, CERN BE/ICS-FD </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a56e199dfc68db04e00e69e2e0a8c0941"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private void _fwAccessControl_combineResults </td>
          <td>(</td>
          <td class="paramtype">dyn_mapping &amp;&#160;</td>
          <td class="paramname"><em>orig</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_mapping&#160;</td>
          <td class="paramname"><em>other</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Utility function to append a dyn_mapping to another</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">orig</td><td>(dyn_mapping) OUT the mapping variable to which to append the values </td></tr>
    <tr><td class="paramname">other</td><td>(dyn_mapping) IN the mapping variable from which to copy the values </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="acf9820b14f9ebec7cfc5aeba6128acf1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private int _fwAccessControl_dynMappingContains </td>
          <td>(</td>
          <td class="paramtype">dyn_mapping&#160;</td>
          <td class="paramname"><em>dynMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Utility function to check if dyn_mapping contains a certain value for certain key</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dynMap</td><td>(dyn_mapping) IN the list being searched through </td></tr>
    <tr><td class="paramname">key</td><td>(string) IN the key in mappings to be looked at </td></tr>
    <tr><td class="paramname">value</td><td>(string) IN the value being looked up </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if value is not found, or its index in the dyn_list if found (similarly to dynContains()) </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwAccessControl__Egroups_8ctl.html">fwAccessControl_Egroups.ctl</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.5 </li>
  </ul>
</div>
</body>
</html>
